<?php


namespace Schaffen\Financial\BillingRoute\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Freelabois\LaravelQuickstart\Interfaces\RepositoryInterface;
use Schaffen\Financial\BillingRoute\Repositories\ClientRouteRepository;
use Schaffen\Financial\BillingRoute\Repositories\SalesmanRouteRepository;

class SalesmanRouteManager extends ManipulationManager
{
    public function __construct(
        SalesmanRouteRepository $repository,
        ClientRouteRepository  $client_route_repository
    )
    {
        parent::__construct($repository);
        $this->client_route_repository = $client_route_repository;
    }

    public function buscaRotasVendedor($values){
        return $this->repository->list(['rov_fk_pes_codigo' => $values->usu_fk_pes_codigo], ['route']);
    }

    public function getClientesEmRotaDoVendedor($values){
        $salesman_route = $this->repository->first(['rov_fk_pes_codigo' => $values['pes_codigo']]);
        $roc_fk_rot_codigo =  $salesman_route->rov_fk_rot_codigo;
        return $this->client_route_repository->list(['roc_fk_rot_codigo' => $roc_fk_rot_codigo], ['person'], false);
    }
}