<?php


namespace Schaffen\Financial\Payment\Models;


use Illuminate\Database\Eloquent\Model;

class Payment extends Model
{
    protected $table = "financeiro.pagamento";

    protected $primaryKey = "pag_codigo";

    protected $fillable = [
        "pag_data", "pag_obs", "pag_resultado", "pag_valor_total", "pag_pai", "pag_patrimonial",
        "pag_usuario", "pag_fk_lec_codigo", "pag_validado"];

    public $timestamps = false;

    public function save(array $options = [])
    {
        if(!isset($this->attributes["pag_usuario"])){
            $this->attributes["pag_usuario"] = optional(auth()->user())->usu_nome ?? null;
        }
        return parent::save($options);
    }
}